version: "3.7"

services:
  rendertron:
    build:
      context: ./docker/dev/
      dockerfile: Dockerfile-rendertron
    networks:
      - default
      - grandlyon
    labels:
      - "traefik.frontend.rule=Host:rendertron.data.grandlyon.docker"
      - "traefik.port=8083"
      - "traefik.protocol=http"
      - "traefik.docker.network=grandlyon"

  proxy:
    build:
      context: ./docker/dev/
      dockerfile: Dockerfile-nginx
    volumes:
      - ./docker/dev/nginx-development-proxy.conf:/etc/nginx/conf.d/default.conf
    labels:
      - "traefik.frontend.rule=Host:data.grandlyon.docker"
      - "traefik.port=80"
      - "traefik.protocol=http"
      - "traefik.docker.network=grandlyon"
    networks:
      default:
        aliases:
          - data.grandlyon.docker
      grandlyon:


networks:
  grandlyon:
    external: true

